# launcher.py
import sys
import site
import os

# Attempt to find the user's site-packages automatically
# This works if the user's Python is on PATH and 'python' refers to the correct interpreter.
# If not, you may hardcode the path or let the user set an environment variable.
# Example: For Python 3.10 on Windows, site-packages is often:
# C:\Users\YourName\AppData\Local\Programs\Python\Python310\Lib\site-packages
# Adjust as needed if auto-discovery fails.

site_packages_paths = site.getsitepackages()
# site.getsitepackages() often returns a list like ['.../Python310', '.../Python310/Lib/site-packages']
# We need the site-packages directory
for p in site_packages_paths:
    if 'site-packages' in p:
        sys.path.append(p)
        break

# Now try importing user-installed modules
try:
    import PyQt5
except ImportError:
    print("PyQt5 not found. Please run `pip install PyQt5` in your system Python.")
    sys.exit(1)

# Import the compiled extension
import libs.bGamerFunLogitech as bGamerFunLogitech
bGamerFunLogitech.main()
